"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getSubscribeAdapterOptions = _interopRequireDefault(require("./get-subscribe-adapter-options"));

var _invokeEventBus = _interopRequireDefault(require("./invoke-event-bus"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const initBroker = resolve => {
  Object.assign(resolve.publisher, {
    pause: async ({
      eventSubscriber
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'pause', {
        eventSubscriber
      });
    },
    acknowledge: async ({
      batchId,
      result
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'acknowledge', {
        batchId,
        result
      });
    },
    publish: async ({
      event
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'publish', {
        event
      });
    },
    resume: async ({
      eventSubscriber
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'resume', {
        eventSubscriber
      });
    },
    status: async ({
      eventSubscriber
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'status', {
        eventSubscriber
      });
    },
    reset: async ({
      eventSubscriber
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'reset', {
        eventSubscriber
      });
    },
    read: async ({
      eventFilter
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'read', {
        eventFilter
      });
    },
    subscribe: async ({
      eventSubscriber,
      subscriptionOptions
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'subscribe', {
        eventSubscriber,
        subscriptionOptions
      });
    },
    resubscribe: async ({
      eventSubscriber,
      subscriptionOptions
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'resubscribe', {
        eventSubscriber,
        subscriptionOptions
      });
    },
    unsubscribe: async ({
      eventSubscriber
    }) => {
      return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'unsubscribe', {
        eventSubscriber
      });
    },
    listProperties: async ({
      eventSubscriber
    }) => {
      try {
        return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'listProperties', {
          eventSubscriber
        });
      } catch (err) {
        return [];
      }
    },
    getProperty: async ({
      eventSubscriber,
      key
    }) => {
      try {
        return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'getProperty', {
          eventSubscriber,
          key
        });
      } catch (err) {
        return null;
      }
    },
    setProperty: async ({
      eventSubscriber,
      key,
      value
    }) => {
      try {
        return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'setProperty', {
          eventSubscriber,
          key,
          value
        });
      } catch (err) {
        return null;
      }
    },
    deleteProperty: async ({
      eventSubscriber,
      key
    }) => {
      try {
        return await (0, _invokeEventBus.default)(resolve.eventstoreCredentials, 'deleteProperty', {
          eventSubscriber,
          key
        });
      } catch (err) {
        return null;
      }
    }
  });
  Object.defineProperties(resolve, {
    getSubscribeAdapterOptions: {
      value: _getSubscribeAdapterOptions.default
    }
  });
};

var _default = initBroker;
exports.default = _default;
//# sourceMappingURL=init-broker.js.map