"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sts = _interopRequireDefault(require("aws-sdk/clients/sts"));

var _lambda = require("resolve-cloud-common/lambda");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const invokeEventBus = async (eventstoreCredentials, type, options) => {
  const principial = {
    accessKeyId: process.env.AWS_ACCESS_KEY_ID,
    secretAccessKey: process.env.AWS_SECRET_ACCESS_KEY,
    sessionToken: process.env.AWS_SESSION_TOKEN
  };
  const {
    Arn: validationRoleArn
  } = await new _sts.default().getCallerIdentity().promise();
  const scopeName = process.env.RESOLVE_DEPLOYMENT_ID;
  return await (0, _lambda.invokeFunction)({
    Region: process.env.AWS_REGION,
    FunctionName: process.env.EVENT_BUS_LAMBDA_ARN,
    Payload: {
      type,
      payload: {
        principial,
        validationRoleArn,
        scopeName,
        eventstoreCredentials,
        ...options
      }
    }
  });
};

var _default = invokeEventBus;
exports.default = _default;
//# sourceMappingURL=invoke-event-bus.js.map