"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _resolveDebugLevels = _interopRequireDefault(require("resolve-debug-levels"));

var _bootstrapOne = _interopRequireDefault(require("./bootstrap-one"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _resolveDebugLevels.default)('resolve:resolve-runtime:bootstrap');

const bootstrap = async (resolve, upstream) => {
  log.debug('bootstrap started');
  const promises = [];

  for (const {
    name: eventSubscriber,
    eventTypes,
    connectorName
  } of resolve.eventListeners.values()) {
    promises.push((0, _bootstrapOne.default)({
      readModelConnectors: resolve.readModelConnectors,
      eventBus: resolve.eventBus,
      eventSubscriber,
      eventTypes,
      connectorName,
      credentials: resolve.eventSubscriberCredentials,
      upstream
    }));
  }

  await Promise.all(promises);
  await resolve.publisher.subscribe({
    eventSubscriber: 'websocket',
    subscriptionOptions: {
      credentials: resolve.eventSubscriberCredentials,
      deliveryStrategy: 'passthrough'
    }
  });
  await resolve.publisher.resume({
    eventSubscriber: 'websocket'
  });
  log.debug('bootstrap successful');
  return 'ok';
};

var _default = bootstrap;
exports.default = _default;
//# sourceMappingURL=bootstrap.js.map