"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _resolveDebugLevels = _interopRequireDefault(require("resolve-debug-levels"));

var _shutdownOne = _interopRequireDefault(require("./shutdown-one"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _resolveDebugLevels.default)('resolve:resolve-runtime:shutdown');

const shutdown = async (resolve, upstream) => {
  log.debug('shutdown started');
  const promises = [];

  for (const {
    name: eventSubscriber
  } of resolve.eventListeners.values()) {
    promises.push((0, _shutdownOne.default)({
      eventBus: resolve.eventBus,
      eventSubscriber,
      upstream
    }));
  }

  await Promise.all(promises);
  await resolve.publisher.pause({
    eventSubscriber: 'websocket'
  });
  await resolve.publisher.unsubscribe({
    eventSubscriber: 'websocket'
  });
  log.debug('shutdown successful');
  return 'ok';
};

var _default = shutdown;
exports.default = _default;
//# sourceMappingURL=shutdown.js.map