"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

var _util = require("util");

var _stream = require("stream");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const importEventStoreHandler = options => async (req, res) => {
  const {
    eventstoreAdapter
  } = req.resolve;

  try {
    const {
      importFile
    } = options;
    const eventStream = eventstoreAdapter.import();

    const fsStream = _fs.default.createReadStream(_path.default.join(importFile));

    await (0, _util.promisify)(_stream.pipeline)(fsStream, eventStream);
    res.end('ok');
  } catch (error) {
    // eslint-disable-next-line no-console
    console.error(error);
    res.status(500);
    res.end(String(error));
  }
};

var _default = importEventStoreHandler;
exports.default = _default;
//# sourceMappingURL=import-event-store-handler.js.map