"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("source-map-support/register");

var _resolveDebugLevels = _interopRequireDefault(require("resolve-debug-levels"));

var _initBroker = _interopRequireDefault(require("./init-broker"));

var _initPerformanceTracer = _interopRequireDefault(require("./init-performance-tracer"));

var _initExpress = _interopRequireDefault(require("./init-express"));

var _initWebsockets = _interopRequireDefault(require("./init-websockets"));

var _startExpress = _interopRequireDefault(require("./start-express"));

var _emptyWorker = _interopRequireDefault(require("./empty-worker"));

var _wrapTrie = _interopRequireDefault(require("../common/wrap-trie"));

var _initUploader = _interopRequireDefault(require("./init-uploader"));

var _initScheduler = _interopRequireDefault(require("./init-scheduler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _resolveDebugLevels.default)('resolve:resolve-runtime:local-entry');

const localEntry = async ({
  assemblies,
  constants,
  domain
}) => {
  try {
    const resolve = {
      instanceId: `${process.pid}${Math.floor(Math.random() * 100000)}`,
      seedClientEnvs: assemblies.seedClientEnvs,
      serverImports: assemblies.serverImports,
      ...domain,
      ...constants,
      routesTrie: (0, _wrapTrie.default)(domain.apiHandlers, constants.rootPath),
      assemblies
    };
    await (0, _initPerformanceTracer.default)(resolve);
    await (0, _initBroker.default)(resolve);
    await (0, _initExpress.default)(resolve);
    await (0, _initWebsockets.default)(resolve);
    await (0, _initUploader.default)(resolve);
    await (0, _initScheduler.default)(resolve);
    await (0, _startExpress.default)(resolve);
    log.debug('Local entry point cold start success');
    return _emptyWorker.default;
  } catch (error) {
    log.error('Local entry point cold start failure', error);
  }
};

var _default = localEntry;
exports.default = _default;
//# sourceMappingURL=index.js.map